{% extends "base.html" %}

{% block content %}
<meta id="places-data" data-name="{{places.free_places}}">
<table id="table" class="table">
    <thead>
        <th>№ Місця</th>
        <th></th>
    </thead>
    <tbody>
        {% for place in places.free_places %}
        <tr>
            <td>{{place['place_num']}}</td>
            <td><a href="#">Купити квиток</a></td>
        </tr>
        {% endfor %}
    </tbody>
</table>
<script>
$(document).ready(function(){
    $('a').click(function()
    {
        var id_place = {{ places|safe }}.free_places[$(this).parents('tr').index()]['id_place'];
       $.ajax({
            url:"{{ url_for('get_free_places', id_wagon=id_wagon, from_station=from_station, to_station=to_station ) }}",
            type:'POST',
            contentType: "application/json",
            data:JSON.stringify({'id_place':id_place}),
            success:function()
            {
                alert('Квиток куплено!');
                location.reload();
            },
            error:function()
            {
                alert('error!');
            }
        })
    })
})
</script>
{% endblock %}